/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsServlet.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.maven.webapplib;

import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.http.HttpServlet;

import org.ow2.easybeans.examples.maven.api.IEmptyBean;


/**
 * An abstract servlet.
 * @author Gael Lalire
 */
public abstract class AbsServlet extends HttpServlet {

    /**
     * This function write 'hello' in printWriter.
     * @param printWriter a printWriter
     */
    protected void sayHello(final PrintWriter printWriter) {
        if (this.emptyBean != null) {
            printWriter.println(this.emptyBean.sayHelloFromBean() + " call in library");
        } else {
            printWriter.println("ko in lib");
        }
    }

    /**
     * A bean.
     */
    @EJB
    private IEmptyBean emptyBean;

}
