/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsBean.java 5602 2010-10-01 15:49:31Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.pool;

/**
 * Abstract class for all beans.
 * @author Florent BENOIT
 */
public abstract class AbsBean {

    /**
     * Waiting time to emulate some work.
     */
    private static final long WAITING_TIME = 200L;

    /**
     * Do something that take some time.
     */
    public void dummyWork() {
        try {
            Thread.sleep(WAITING_TIME);
        } catch (InterruptedException e) {
            throw new IllegalStateException("Cannot wait", e);
        }
    }

    /**
     * @return the number of instances built.
     */
    public abstract int getInstances();
}
